summaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-12-09 15:23:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-12-09 15:23:43 +0000
commit709ce9b8faa6c4e2c32ecb99d9fe005b4ca92f42 (patch)
tree973f49410260e8aafd7a910efef5dcab519fd8ad /main
parent9752dac0cd60fb83864076111dd1fa210af4cc32 (diff)
downloadaports-709ce9b8faa6c4e2c32ecb99d9fe005b4ca92f42.tar.bz2
aports-709ce9b8faa6c4e2c32ecb99d9fe005b4ca92f42.tar.xz
main/libvpx: fix permissions
Diffstat (limited to 'main')
-rw-r--r--main/libvpx/APKBUILD6
1 files changed, 4 insertions, 2 deletions
diff --git a/main/libvpx/APKBUILD b/main/libvpx/APKBUILD
index 80d1e539e..5b4e5d66d 100644
--- a/main/libvpx/APKBUILD
+++ b/main/libvpx/APKBUILD
@@ -2,7 +2,7 @@
pkgname=libvpx
pkgver=1.3.0
_ver=${pkgver/_/-}
-pkgrel=0
+pkgrel=1
pkgdesc="Library for the vp8 codec"
url="http://www.webmproject.org/"
arch="all"
@@ -42,7 +42,9 @@ build() {
package() {
cd "$_builddir"
make DIST_DIR="$pkgdir"/usr install
- chmod 644 "$pkgdir"/usr/include/vpx/*.h
+ chmod 644 "$pkgdir"/usr/include/vpx/*.h || return 1
+ chown root:root -R "$pkgdir" || return 1
+ chmod 755 "$pkgdir"/usr/lib/* || return 1
}
utils() {